summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-04-12 10:08:06 +0200
committerMichał Górny <mgorny@gentoo.org>2021-04-12 11:20:00 +0200
commitbbea2d2e42e78b7b313a945787b7479464623695 (patch)
treee948d1f137fdaf8cc424a2998771353aaff36686 /dev-python
parente5f0826c161779cc48fa2208390eee52f1e34401 (diff)
downloadgentoo-bbea2d2e42e78b7b313a945787b7479464623695.tar.gz
gentoo-bbea2d2e42e78b7b313a945787b7479464623695.tar.bz2
gentoo-bbea2d2e42e78b7b313a945787b7479464623695.zip
dev-python/hypothesis: Bump to 6.9.1
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.9.1.ebuild62
2 files changed, 63 insertions, 0 deletions
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index c2c413daedc6..6a36410fa85e 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -2,3 +2,4 @@ DIST hypothesis-python-6.6.0.tar.gz 9117847 BLAKE2B bb88ebee9db53f1c5753730d04e5
DIST hypothesis-python-6.8.1.tar.gz 9119495 BLAKE2B 4d98e30a04f652af79dd49e921b856124a312b63f087a6fd200282e9b0a0cd6fcad1a42a6008406bc347f21bf9cd6c5ff2db79d013987281f59365bd9d91550d SHA512 2f25e994438479b5faa15b2038146ab385445bf2722b0951ff55f324b074248d7322c4c6f3e9c659c18d0aa94150eea4c6567a7ac24debf2de4b32bab37a4dcc
DIST hypothesis-python-6.8.9.tar.gz 9122168 BLAKE2B 2568dcfcbc7182071247d0b7d978abf2184be4583937a42568c3e199eac6ce538adb7b3687747979fc6ab9da1e61088db7d1a01294982e75cb04992cdc10537a SHA512 4dc3884e2487f27a3b6b362e04cecd281f9072fdd2e8e91738899baf589d6d48df9eeacb9a158251c20b210d1190b78eadd191aa95f151023bd81091131dff66
DIST hypothesis-python-6.9.0.tar.gz 9123041 BLAKE2B 5c9a4d1bed02417dd35e67f7f8e63accc7a9c071fde03b7c38b835945605377d8898fbc760fa8149e8476beb247ce19ec946f5365065dfa66b2cb52381760373 SHA512 8d63b22ec3ac9418dde758f70f2a8b65b455cffa32fbbf1fc99c2e64ca40f73436ee9eddea7ada34d8d68a41e88b50d54166babee9869fc03b32926bd85a4507
+DIST hypothesis-python-6.9.1.tar.gz 9123088 BLAKE2B 6a960622fc14d507d5ac66737b88e7b7184c827f31c505797be33766ac8d1721191e48334b58d1d73ef1058eaf94d88ef9d7ddf256948180a12c707b6963d1de SHA512 ad5f18ecbb0376b04eb26f58ad2b72ae6789029bf89f36d4880e5212a4cf7d669a048bb8d4f0bdeb0f5c1f1cc053d054d60235224f5154803fd0319d7b140b3b
diff --git a/dev-python/hypothesis/hypothesis-6.9.1.ebuild b/dev-python/hypothesis/hypothesis-6.9.1.ebuild
new file mode 100644
index 000000000000..75d02aad2bd3
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.9.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{7..9} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare() {
+ if ! use cli || [[ ${EPYTHON} != python* ]]; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ distutils_install_for_testing
+ epytest tests/cover tests/pytest tests/quality \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}